//
//  UITextField+Extensions.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 6/24/20.
//  Copyright © 2020 mSignia. All rights reserved.
//

import Foundation
import UIKit

private var kAssociationKeyNextField: UInt8 = 0

extension UITextField {
    
    // MARK: - Computed Properties
    @IBOutlet var nextField: UITextField? {
        
        get {
            
            return objc_getAssociatedObject(self, &kAssociationKeyNextField) as? UITextField
        }
        set(newField) {
            
            objc_setAssociatedObject(self, &kAssociationKeyNextField, newField, .OBJC_ASSOCIATION_RETAIN)
        }
    }
}
